Summary: 	A PPP dialer for X Windows using GTK2 Widgets
Name: 		gkdial
Version: 	1.8.1
Release: 	1
Copyright: 	GPL
Group: 		Internet
URL:		http://gkdial.sf.net
Source0: 	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Requires: 	ppp >= 2.4.1
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GKDial is a visual, X11 and GTK2 based, user-friendly interface to pppd and 
chat, in other words, an X11 dialup networking tool. It provides maximum
feedback from the dial-in and login phases on a message browser, and 
versatility in interrupting a call in progress, generally enhancing the user's
feeling of "what's going on". 

%prep
%setup -q

%build
autogen.sh; make clean; make distclean
%configure --disable-nls
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/$RPM_BUILD_ROOT/usr/share/gkdial/glade \
$RPM_BUILD_ROOT/usr/share/gkdial; rm -R $RPM_BUILD_ROOT/$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/chatscripts
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
